import { FieldInfo } from 'model-util-base';
import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, JoinTable } from 'model-util';
import { DevopsTaskNoticeQueue } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-24 17:22
 */
interface DevopsTaskNoticeQueueCU extends ConditionUtil<DevopsTaskNoticeQueueCU> {
    ID: FieldUtil<DevopsTaskNoticeQueueCU>;
    TASK_ID: FieldUtil<DevopsTaskNoticeQueueCU>;
    STATE: FieldUtil<DevopsTaskNoticeQueueCU>;
    OPERATOR_USER_ID: FieldUtil<DevopsTaskNoticeQueueCU>;
    PLAN_TIME: FieldUtil<DevopsTaskNoticeQueueCU>;
}
declare class DevopsTaskNoticeQueueMU extends TableUtilImpl<DevopsTaskNoticeQueueCU, DevopsTaskNoticeQueue> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: JoinTable[];
    subTables: any[];
    createConditionUtil(): DevopsTaskNoticeQueueCU;
    static get ID(): FieldUtil<DevopsTaskNoticeQueueCU>;
    static get TASK_ID(): FieldUtil<DevopsTaskNoticeQueueCU>;
    static get STATE(): FieldUtil<DevopsTaskNoticeQueueCU>;
    static get OPERATOR_USER_ID(): FieldUtil<DevopsTaskNoticeQueueCU>;
    static get PLAN_TIME(): FieldUtil<DevopsTaskNoticeQueueCU>;
    static get EWECHAT_USER_ID(): FieldInfo;
    static get TASK_NAME(): FieldInfo;
    get ID(): FieldUtil<DevopsTaskNoticeQueueCU>;
    get TASK_ID(): FieldUtil<DevopsTaskNoticeQueueCU>;
    get STATE(): FieldUtil<DevopsTaskNoticeQueueCU>;
    get OPERATOR_USER_ID(): FieldUtil<DevopsTaskNoticeQueueCU>;
    get PLAN_TIME(): FieldUtil<DevopsTaskNoticeQueueCU>;
    get EWECHAT_USER_ID(): FieldInfo;
    get TASK_NAME(): FieldInfo;
}
export { DevopsTaskNoticeQueueMU, DevopsTaskNoticeQueueCU };
